//
// Created by sebastian on 06.08.26.
//

#include "MainMenuScene.h"

#include "layer/MainMenuUiLayer.h"

void MainMenuScene::onEnter() {
    Scene::onEnter();
    addLayer(std::make_unique<MainMenuUiLayer>(m_keyboard, m_mouse, getAnimationEventBus(), m_applicationEventBus, m_networkEventBus, *assetManager));
}

std::vector<engine::AssetRequest> MainMenuScene::getRequiredAssets() const {
    std::vector<engine::AssetRequest> requests;
    requests.emplace_back(engine::TextureRequest("main_menu_background", "assets/textures/main_menu_background.png"));
    return requests;
}
